Documentation | NWICODE

Server requirements


The software requirements are:

  • Supported operating systems: Linux (Centos 7 or newer, Debian 9 or newer, Ubuntu 10.04 or newer).
  • Supported server: Apache 2 or newer
  •  PHP 7.0
  • MySQL 5.5 or newer
  • Расширения PHP: GD, PDO MySQL, Simplexml, Curl, DOM, ioncube, mbstring, mod_rewrite
  • The PHP function: exec () allow url_fopen
  • Zip
  • Unzip
  • Minimum OpenSSL Version 1.0.1
  • php-sqlite3 or glibc> = 2.12
  • Required: you need to get the control panel with your server, such as ISPmanager control panel, cPanel or Parallel Plesk.
  • For generator apk:
    • — Install the 32-bit libraries, if they are not already installed:
      -> Debian / Ubuntu:
      apt-get install lib32stdc ++ 6
      apt-get install lib32z1 lib32z1-dev
      -> CentOS / Fedora:
      yum -y install libstdc ++. I686 && yum — y install zlib.i686
    • Java 1.8+
    • Usually we recommend VPS server

Hardware requirements:

Version for the same application (START):

  • Dedicated server processor from 2vCore.
  • Memory: 4 GB
  • Disk space: 20 GB
  • Bandwidth: from 100 MB or 1 TB of bandwidth per month.

Version of "Web Studio":

  • Server type: virtual private server (VPS) or dedicated server (without the common server)
  • SSH Root access to technical support
  • Processor: 2vCore
  • Memory: 4 GB
  • Disk space: 20 GB
  • Bandwidth: from 100 MB or 1 TB of bandwidth per month.

Version Of "Saas Business:

  • Server type: Virtual private server (VPS) or Dedicated server (without the common server).
  • SSH Root access to technical support
  • Processor: 2vCore
  • Memory: 4 GB
  • Disk space: 20 GB
  • Bandwidth: from 100 MB or 1 TB of bandwidth per month.

Recommended VPS for CMS NWICODE:

We recommend you to use VPS provided by our data center:

Thus, your server will be fully configured and ready to be placed.


Before you install the script, make the following settings on your server:

Внимание! —скрипт платформы работает только под управлением  Linux. » на сегодня самым проверенным и стабильным оказался Debian 9 64bit. для качественной работы приложения рекомендуем: <4 CORE*<2MHz, <4Gb RAM, SSD <30Gb, 100Mb/s,

Root podklyuchitsya the SSH console.
apt-get update
—ставим CURL : apt-get install curl
—put in server JAVA for copilasii codes: apt-get install openjdk-8-jdk openjdk-8-jre
for correct operation of the compiler, you need the following packages: apt-get install lib32stdc++6 apt-get install lib32z1 lib32z1-dev
to optimize images, put the 3 packages: apt-get install pngquant, apt-get install jpegoptim, apt-get install optipng


Есть вопросы — спрашивайте!

Наши специалисты помогут Вам, окажут бесплатную консультацию или запишут на приём

Documentation

Новости 1 - 20 of 48
First | Prev. | 1 2 3 | Next | Last